ThinkPad Dock

You can extend the capabilities of your computer by docking it to a docking station called ThinkPad Dock, available as an option. With an Ultrabay(TM) 2000, a PCI slot, and 2 PC Card slots, the ThinkPad Dock docking station enables your computer (which can easily be detached for portability) to emulate a powerful desktop computer when you are in your office or home. For portability, your computer can easily be detached from the docking station.

After you attach your computer to the ThinkPad Dock docking station, you can use its connectors in place of the computer's, plus the following extra connectors:

  • Additional USB connector

  • Digital visual interface (DVI) connector

Note: The DVI connector provides a digital interface only, and some models do not support the connector.

When the computer is attached to the ThinkPad Dock, never pick up the assembly while taking hold of the computer alone. Always hold the whole assembly.

For more details about the ThinkPad Dock docking station, refer to the following:

Front view

Rear view

Inside view

Inserting the PCI card

Inserting the PC Card

Using a device in the bay

Preparing for docking

Docking a ThinkPad Dock

Undocking the ThinkPad Dock

The ThinkPad Dock has features to secure a device in the bay, any PC Cards, a PCI card in either slot, your computer, and the docking station itself.

Security keyholes

System lock key

Bay device lock

PC Card lock


Front view of the ThinkPad Dock

(1) The power switch turns the computer on and off.

(2) The drive in use indicator turns on when data is being read from or written to the hard disk drive or diskette drive in the bays for the Ultrabay(TM) device of both the computer and the docking station. Do not put your computer into standby mode when this indicator is on.

(3) The docking indicator turns on when the docking station is in use. When the indicator is on, you cannot detach your computer with the release button.

(4) By pressing the eject request button, you can request the operating system to undock your computer from the docking station. You can also make this request through the operating system.

(5) The system lock key is for locking the release button (6).

(6) By pressing the release button, you can release the computer from the docking station. The button cannot be pressed when the docking indicator (4) is on.

(7) The expansion connector is where you attach your ThinkPad computer.


Rear view of the ThinkPad Dock

(1) The PC Card slots accept Type I, II, or III PC Card. If you are using a Type I or II PC Card, insert it into either the upper slot or the lower slot. If you are using a Type III PC Card, insert the card into the lower slot. The slots also support a CardBus card.

(2) The parallel connector is for connecting a parallel device.

(3) The serial connector is for connecting a serial device.

(4) The keyboard connector is for connecting an external keyboard or an external numeric keypad.

(5) The mouse connector is for connecting a mouse.

(6) The Ultrabay(TM) 2000 supports the same storage devices that the computer supports. It does not support the second battery and the Ultrabay Plus device.

(7) The PCI slot accepts a short-size PCI card.

(8) The security keyhole is for attaching a mechanical lock so that the rear cover of the docking station cannot be opened.

(9) The line-in jack, a jack 1/8 inch (3.5 mm) in diameter, is for connecting an external stereo audio device.

(10) The line-out jack, a jack 1/8 inch (3.5 mm) in diameter, is for connecting an external stereo audio device.

(11) The Universal Serial Bus (USB) connectors are for connecting the devices that conform to the USB interface. Under Windows 95 OSR2.1 or later version, you can only use the lower connector.

(12) The external-diskette-drive connector is for connecting an external-diskette drive. This connector cannot be used with your computer.

(13) The digital visual interface (DVI) connector is for connecting a monitor that supports DVI.

Note: The DVI connector provides a digital interface only; some models do not support the connector.

(14) The external monitor connector is for connecting an external monitor.

(15) The Ethernet connector is for connecting the docking station to a LAN. Two indicators, which are to the upper left and the upper right of the connector, show the status of the network connection. When your computer connects to a LAN and the session is available, the left indicator shows green. While data is being transmitted, the right indicator blinks yellow.

Notes:

  1. If your ThinkPad computer does not support the Ethernet connector, you cannot use the connector on the docking station.

  2. You cannot use the Token Ring cable for this connector on the docking station.

(16) The modem connector is for connecting the docking station to a telephone line.

Note: If your ThinkPad computer does not support the modem connector, you cannot use the connector.

(17) The power jack is where you connect the power cord.

(18) The device release lever ejects a device from the Ultrabay(TM) 2000.

(19) The security keyhole for Ultrabay 2000 device, is for securing the Ultrabay 2000 device to the docking station.

Note: To lock the Ultrabay 2000 device, you can use either the bay device lock or the security keyhole for Ultrabay 2000 device. If you use the security keyhole for Ultrabay 2000 device, be sure that the bay device lock is unlocked.


Inside view of the ThinkPad Dock

(1) The LAN Wake connector is where you connect the Wake on LAN(R) cable if you install the PCI card with Wake on LAN function.

(2) By setting the PC Card lock to Lock position, you can secure the PC Card.

(3) When you set the bay device lock to Lock position, the device release lever is locked so that you can secure the device in the Ultrabay(TM) 2000.

Note: To lock the Ultrabay 2000 device, you can use either the bay device lock or the security keyhole for Ultrabay 2000 device.


Inserting the PCI Card

DANGER

A high-voltage electric current might exist on the docking station. To avoid shock hazard, do the following before you install a short PCI card:

  • Undock the ThinkPad(R) computer from the docking station.

  • Remove the power cord from the docking station.

  • Remove all cables from the docking station.

  • Remove all the peripheral devices from the docking station.

The docking station accepts a short card, no longer than 6.9 in. (174 mm) length form factor.

To install a short card, do the following:

Note: If you remove the card, reverse the following procedure.

  1. Turn the docking station upside down and loosen the screws (1); then remove the bottom cover (2).

Illustration: Turn the docking station upside down and remove the bottom cover.

  1. Loosen the screw (1); then remove the slot cover (2).

Illustration: Loosen the screw and remove the slot cover.

  1. Install the PCI card and connect it firmly (1); then reinstall the screw (2).

Note: If you install the PCI card with Wake on LAN, you can connect the Wake on LAN cable to the LAN Wake connector of the docking station and the connector of the card. For details, refer to the user's guide for the card.

Illustration: Install the card and reinstall the screw.

  1. Reinstall the bottom cover (1) and tighten the screws (2).

Illustration: Reinstall the bottom cover and tighten the screws.


Inserting the PC Card

Notes:

  1. The slots that the docking station has for the PC Card are the same as those on the computer. For details on how to insert or remove the card, refer to Installing a card.

  2. If the PC Card lock is set to locked position, you cannot insert or remove the PC Card. Unlock the PC Card lock.

Insert the PC Card into the PC Card slot, as shown in the figure below, and press it firmly into place.

Illustration: Insert the PC Card into the slot.

To secure the PC Card, refer to the PC Card lock.

To remove the PC Card from the PC Card slot, do as follows:

  1. Stop the card. Refer to Removing the card.
  2. Press the PC Card eject button.

Illustration: Press the PC Card eject button.

  1. Remove the PC Card.

Illustration: Remove the PC Card from the slot.


Using a device in the bay

The Ultrabay(TM) 2000 of the docking station supports the device that the Ultrabay 2000 of the computer supports, except for the second battery.

Attention: The Ultrabay 2000 supports warm swap of devices, but the Ultrabay 2000 of the docking station does not. Do not remove the device from the Ultrabay 2000 while the docking indicator is turned on. If you do, the computer might not respond or reset.

Insert a device into the Ultrabay 2000 as shown in the figure. Connect the device firmly.

To eject a device from the Ultrabay 2000, release the device release lever (1), and then remove the device (2).

Note: If you set the bay device lock to the Lock position, or attach the mechanical lock to the security keyhole next to the device release lever, you cannot release the lever. Set the bay device lock to Unlock position.


Preparing for docking

Note: Docking before installing the CMD IDE driver may cause system problems. Install the driver first. If you have a problem, try to recover by shutting down, undocking, and turning on the system. To update or install the driver for Windows 98, run Setup.exe before docking by referring to Installing device drivers.

For Windows(R) 98 or Windows 2000:

If this is your first time docking your computer to a docking station, prepare your computer as follows:

  • Check whether the CMD IDE driver is already installed in your computer, by the procedure given in "Check whether the device driver is already installed in your system" for Windows 98 or Windows 2000.

  • If the device driver is installed, create the hardware profile for the dock configuration, by the procedure given in "Create the hardware profile for the dock configuration" with Windows 98 or Windows 2000.

  • If the device driver is not installed, install it, as instructed in Installing device drivers. Then create the hardware profile for the dock configuration, by the procedure given in the "Create the hardware profile for the dock configuration" with Windows 98 or Windows 2000.

For Windows 95 (OSR 2.1 or later version):

If this is your first time to dock your computer to a docking station, begin by installing the CMD IDE driver. Then create the hardware profile for the dock configuration, by the procedure given in "Creating the hardware profile for the dock configuration with Windows 95."

For Windows NT(R) 4.0 and Windows XP:

You do not need to install any additional device driver for the docking station CMD IDE controller under Windows NT 4.0 and Windows XP. For Windows XP, dock the system to the ThinkPad dock and create a hardware profile for the dock configuration with Windows XP.

  1. Turn off the computer.

  2. Dock the computer to the ThinkPad dock.

  3. Turn on the computer. The screen is in the VGA mode. When the Found New Hardware window appears, the hardware profile is created automatically.

  4. Change the screen settings by using the Display Properties window.

Checking whether the device driver is already installed in your system for Windows 98:

  1. Keep pressing the Ctrl key then press the Esc key at the same time.
  2. Click Find.
  3. Click Files or Folders.
  4. In the Named: field, type csa64xx.mpd
  5. Click the arrow in the Look in field, and choose Local hard drives [C:,...].
  6. Make sure that the Include subfolders check box is marked.
  7. Click Find Now.

    8. If the file named csa64xx.mpd is found, the device driver is already installed in your system.

Checking whether the device driver is already installed in your system for Windows 2000:

  1. Keep pressing the Ctrl key then press the Esc key at the same time.
  2. Click Search.
  3. Click For Files or Folders.
  4. In the Search for files or folders named field, type cmdide.sys
  5. Click the arrow in the Look in field, and choose Local Harddrives [C:;...].
  6. Make sure that the Search Subfolders check box is marked.

    By checking the Advanced Options check box under Search Options <<, you can see the Search Subfolders check box.

  1. Click Search Now.

    2. If the file named cmdide.sys is found, the device driver is already installed in your system.

Creating the hardware profile for the dock configuration with Windows 98:

  1. Turn off the computer.
  2. Dock the computer to the ThinkPad Dock.
  3. Turn on the computer.
  4. After Windows 98 has started, the New Hardware Found window may appear several times. If the Hardware Detection window and the Configuration Setup window appear, click OK. Then the New Display Settings window appears. Click OK to restart the system.

If your computer has a hardware profile for the dock configuration, no other window appears. Otherwise, you need to do the following:

  1. If the Add New Hardware Wizard window for the PCI standard PCI-to-PCI bridge appears, click Next, OK, or Finish to all the windows for this driver.
  2. If the Add New Hardware Wizard window for the CardBus Controller appears, click Next.
  1. Make sure that Search for the best driver for your device is selected, and click Next.
  2. Click Next.
  3. Click Next.
  4. Click Finish.
  5. If the System Setting Change window appears, click Yes to restart the system.

Repeat steps 5 to 11 for the Add New Hardware Wizard window for the CardBus Controller.

  1. The Add New Hardware Wizard window for the CMD PCI-0648 Ultra DMA IDE Controller appears; click Next.
  2. Make sure that Search for the best driver for your device is selected, and click Next.
  3. Click Next.
  4. Make sure that The updated driver CMD PCI-648 Ultra DMA Controller is selected, and click Next.
  5. Click Next.
  6. Click Finish.

If the Add New Hardware Wizard window for the Generic USB Hub appears, install the generic USB Hub driver by the same procedure as the Card Bus Controller -- that is, steps 12 to 17.

  1. The New Hardware Found windows for a primary CMD and a secondary CMD UltraDMA Bus Master IDE Controller appear.
  2. The Hardware Detection window appears; then the Configuration Setup window appears. Click OK.

    If the System Setting Change window appears, click Yes to restart the system, and skip step 20.

  1. The New Display Settings window appears; click OK to restart the system.

Creating the hardware profile for the dock configuration with Windows 2000:

  1. Turn off the computer.
  2. Dock the computer to the ThinkPad Dock.
  3. Turn on the computer.

    4. The screen is in the VGA mode. When the Found New Hardware window appears, the hardware profile is created automatically.

  1. Change the screen settings by using the Display Properties window.

Tuning the driver under Windows 2000:

Applications such as DVDExpress and Easy CD Creator require the Ultrabay 2000 drive to be set up as DMA transfer mode. But the Ultrabay 2000 drive within the ThinkPad Dock is set up as PIO transfer mode as default. This is due to the driver design.

To change transfer mode of the drive, do as follows:

  1. Click Start -> Settings -> Control Panel.
  2. Double-click the System icon.
  3. Click the Hardware tab.
  4. Click the Device Manager button.
  5. Click View.
  6. Click Devices by Type.
  7. Click + at the left of the "IDE ATA/ATAPI controllers."
  8. Double-click the second Primary IDE Channel.
  9. Click the Advanced Settings tab.
  10. Click the down allow at the Transfer Mode in the Device 0.
  11. Select "DMA if available."
  12. Restart the system.

Attention: Tuning the transfer mode may cause unexpected trouble depending on your Ultrabay 2000 device and application software. In such cases, change the transfer mode back to the PIO.

Creating the hardware profile for the dock configuration with Windows 95 OSR 2.1 or later version:

Note: The Ultrabay 2000 is not supported by Windows 95 OSR 2.0 or earlier versions.

  1. Turn off the computer.
  2. Dock the computer to the ThinkPad Dock.
  3. Turn on the computer.

    After Windows 95 has started, the New Hardware Found window appears. If the Version Conflict window appears, click Yes twice.

  1. The New Hardware Found window appears; click Next.

    2. The Update Device Wizard starts.

  2. When the Update Device Wizard finishes, click Finish.

    3. After the New Hardware Found window appears, the System Setting Change window appears; click Yes to restart the computer.

  3. After the Hardware Detection window appears, the Insert Disk window appears; click Cancel.
  4. Press the Ctrl key and the Esc key at the same time.
  5. Move the cursor to Settings and then to Control Panel.
  6. Click Control Panel.
  7. Double-click System.
  8. Click the Device Manager tab.
  9. Click View devices by type.
  10. Click + at the left of the PCMCIA socket.

    11. If there are two listings for CardBus Controller devices, and there is a red X to the left of each of them, double-click one of them.

  11. Unmark the Disable in this hardware profile check box.
  12. Click OK.

    The Welcome to the PC Card [PCMCIA] Wizard window appears.

  1. Mark the No check box.
  2. Click Next.
  3. Mark the No check box.
  4. Click Next.
  5. Click Finish.
  6. In the System Settings Change window, click Yes.
  7. Shutdown and restart the system.

Repeat steps 13 to 22 for the CardBus Controllers. If the screen remains in VGA mode, change the screen settings by using the Display Properties window.


Docking a ThinkPad Dock

To dock your computer to a ThinkPad(R) Dock, do the following:

Attention: If you are using Windows(R) 98, make sure that the device driver is already installed in your computer. Docking without the correct device driver may cause problems.

If you want to print this topic or cannot see the animation below, click here.

Before you start, do the following:

  • Refer to "Preparing for docking."

  • Turn off the computer.

    Note: If you are using Windows XP, Windows 2000, or Windows 98,, you can also dock the ThinkPad Dock when the computer is either in standby mode or while the computer is operating.

  • Make sure that the power cord is connected to the ThinkPad Dock.

  • Make sure that the system lock key of the ThinkPad Dock is in the unlocked position.

  1. Dock the computer to the ThinkPad Dock, ensuring that the docking connectors are aligned with each other.
  2. Insert your computer into the ThinkPad Dock until you hear a click. The computer is now docked to the ThinkPad Dock.


Undocking the ThinkPad Dock

Note: If you are using Win dows XP, Windows(R) 2000, Windows Me, or Windows 98, you can undock your computer regardless of its power state. Otherwise, you need to shut down the system. For more information, see "Options for undocking."

To undock your computer, do the following:

If you want to print this topic or cannot see the animation below, click here.

Before you start, do the following:

  • Make sure that:

  • The devices connected to USB, serial, and parallel connectors are not in use.

  • The connection to a modem or an Ethernet port has ended.

  • Make sure that the system lock key of the ThinkPad(R) Dock is in the unlocked position.

  • Check to see whether the computer is in the Docked Config status. It is in that status if either of the following is true:

  • "Eject PC" is shown in the Start menu (if the computer display is on).

  • The docking indicator on the ThinkPad(R) Dock is on.

  • If the computer is in the Docked Config status, press the eject request button on the ThinkPad Dock; then make sure that the docking indicator turns off. If the computer is operating, you can select Eject PC in the Start menu at the lower left of the screen instead of pressing the eject request button.

    Note: Make sure that the undock request to the OS is fulfilled and the docking indicator turns off.

The following animation shows what happens when the computer is undocked from the docking station while the docking indicator is on:

  1. Close the computer display.
  2. Press the eject request button. The docking indicator turns off. Then, press the release button of the ThinkPad Dock until the computer moves up.
  3. Grasping both sides, remove the computer.

    Illustration: Grasp both sides and remove the computer.

    If the undock request fails, turn off the computer and undock the ThinkPad Dock.
    Note: If you are using Windows NT(R) version 4.0, turn off the computer before pressing the release button of the ThinkPad Dock.

Options for undocking

Using the ThinkPad Configuration Program, you can specify what power state your computer is to be in when you undock it from the docking station.

Note: This function is supported in Windows XP, Windows 2000, or Windows Me.

The following are the options you can select:

  • Hot undocking

  • Suspend when undocking

  • Hibernate when undocking

    Note: The "Hibernate when undocking" option is not supported in Windows Me.

To specify the option, do as follows:

  1. Open the ThinkPad Configuration Program.
  2. Click the Power Management icon.
  3. Click the Suspend/Hibernate Options tab, and select one of the options in the window.


Using security keyholes

You will need to purchase the mechanical lock separately. It is not an IBM(R) product.

Note: You are responsible for evaluating, selecting, and implementing the locking device and security features. IBM makes no comments, judgments, or warranties about the function, quality, or performance of locking device and security features.

Attaching a mechanical lock to the security keyhole has the following effects:

  • The product itself is secured.

  • The rear cover cannot be opened; so the PCI card is secured.

  • If you set the bay device lock and the PC Card lock to Lock position, devices in the bay and PC Card slots are also secured.

Attach the mechanical lock as shown in this drawing:

Illustration: Attach the mechanical lock to the security keyhole, at far left on the back of the computer.

The ThinkPad Dock also has the security keyhole for Ultrabay(TM) 2000 device. There are two ways to lock the Ultrabay 2000 device:

  • Using the bay device lock.

  • Using the security keyhole for Ultrabay 2000 device

If you use the security keyhole for Ultrabay 2000 device, be sure that the bay device lock is unlocked.


Using the system lock key

Using the system key lock

The system lock key has two positions, Unlock and Lock.

Illustration: The system key lock is on the right side of the ThinkPad Dock. It has two positions, Unlock and Lock.

When the key is in Unlock position, it cannot be removed. When it is in Lock position, it can be removed and the release button is locked so that the computer cannot be removed from the docking station.


Using the bay device lock

To secure the Ultrabay(TM) 2000 device to the ThinkPad(R) Dock, you lock the release lever. There are two ways to lock it:

  • You can use the bay device lock, which is inside the bottom cover of the docking station.

  • You can use the security keyhole next to the device release lever. If you use this method, be sure that the bay device lock is unlocked.

Whichever of these locks you use, it should always be used along with a mechanical lock.

To use the bay device lock, do as follows:

  1. Turn the docking station upside down. Loosen the screw (1) and remove the bottom cover (2).

Illustration: Turn the docking station upside down, and remove the bottom cover.

  1. Set the bay device lock to the Lock position.

    Illustration: Set the device lock to the Lock position.

  1. Reinstall the bottom cover (1) and tighten the screw (2).

Illustration: Reinstall the bottom cover and tighten the screw.

  1. Turn the docking station right side up, and attach a mechanical lock to the security keyhole.
    2. Illustration: Turn the docking station right side up, and attach the mechanical lock to the security keyhole.


Using the PC Card lock

To secure PC Cards in the PC Card slots, set the PC Card lock to the Lock position and attach the mechanical lock to the security keyhole.

Do as follows:

  1. Turn the ThinkPad(R) Dock upside down. Loosen the screw (1) and remove the bottom cover (2).

Illustration: Turn the ThinkPad Dock upside down and remove the bottom cover.

  1. Set the PC Card lock to the Lock position.

    Illustration: Set the PC Card lock to the Lock position.

  1. Reinstall the bottom cover (1) and tighten the screw (2).

Illustration: Reinstall the bottom cover and tighten the screw.

  1. Turn the ThinkPad Dock right side up and attach the mechanical lock to the security keyhole.
    2. Illustration: Turn the ThinkPad Dock right side up, and attach the mechanical lock to the security keyhole.


ThinkPad Port Replicator

After you attach your computer to the port replicator, you can use its connectors in place of the computer's, plus the following extra connectors:

  • Additional USB connector

  • Digital visual interface (DVI) connector

Note: The DVI connector provides a digital interface only, and some models do not support the connector.

When the computer is attached to the ThinkPad Port Replicator, never pick up the assembly by taking hold of the computer alone. Always hold the whole assembly.

For more details about the ThinkPad Port Replicator, refer to the following:

Front view

Rear view

Attaching a port replicator

Detaching the port replicator

Security feature


Front view of the ThinkPad Port Replicator

Illustration: ThinkPad Port Replicator: Front view.

(1) The power switch turns the computer on and off.

(2) The release button releases the computer from the ThinkPad Port Replicator when pressed.

(3) The expansion connector is where you attach your ThinkPad computer.


Rear view of the ThinkPad Port Replicator

Illustration: ThinkPad Port Replicator: Rear view.

(1) The modem connector is for connecting the port replicator to a telephone line.

Note: If your ThinkPad(R) computer does not support the modem connector, you cannot use the connector.

(2) The Ethernet connector is for connecting the port replicator to a LAN. The indicator on the connector is the same as that on the ThinkPad computer.

Notes:

  1. If your ThinkPad computer does not support the Ethernet connector, you cannot use the connector.

  2. You cannot use the Token Ring cable for this connector.

(3) The external monitor connector is for connecting an external monitor.

(4) The digital visual interface (DVI) connector is for connecting a monitor that supports DVI.

Note: The DVI connector provides a digital interface only; some models do not support the connector.

(5) The Universal Serial Bus (USB) connector is for connecting USB devices.

(6) The line-out jack, a jack 1/8 inch (3.5 mm) in diameter, is for connecting an external stereo audio device.

(7) The line-in jack, a jack 1/8 inch (3.5 mm) in diameter, is for connecting an external stereo audio device.

(8) The power jack is for connecting the ac adapter.

(9) The mouse connector is for connecting a mouse.

(10) The keyboard connector is for connecting an external keyboard or an external numeric keypad.

(11) The external-diskette-drive connector is for connecting an external-diskette drive. This connector cannot be used with your computer.

(12) The parallel connector is for connecting a parallel device.

(13) The serial connector is for connecting a serial device.

(14) When you attach a mechanical lock to the security keyhole, the release button is locked so that the computer cannot be removed from the port replicator.


Attaching a port replicator

To attach your computer to a ThinkPad(R) Port Replicator, do the following:

Notes:

  1. Before you attach the computer to a ThinkPad Port Replicator, connect an ac adapter to the ThinkPad Port Replicator and an ac power outlet. Use an ac adapter that is designed for your computer.

  2. If your computer is operating, make sure that it has finished any operations involving devices that are connected to a USB connector, a serial connector, or a parallel connector. Also make sure that any connection to a modem or an Ethernet port has ended.

  1. Attach the computer to the ThinkPad Port Replicator, ensuring that the docking connectors are aligned with each other.

Illustration: Make sure that the docking connectors are aligned with each other. Illustration: Attach the computer to the ThinkPad Port Replicator.

  1. Insert your computer into the ThinkPad Port Replicator, along the surface of the port replicator, until you hear a click. The computer is now attached to the ThinkPad Port Replicator.


Detaching the port replicator

To detach your computer from a ThinkPad(R) Port Replicator, do the following:

Note:

  1. If your computer is operating, make sure that it has finished operations involving devices that are connected to the USB connector, the serial connector, or the parallel connector. Also make sure that any connection to a modem or an Ethernet is stopped.

  2. Make sure that the battery pack is fully charged.

  1. Make sure that the security lock is removed.
  1. Press the release button (1) of the ThinkPad Port Replicator until the computer lifts up; then, grasping both sides, remove the computer (2).

Illustration: To remove the computer, press the release button and grasp both sides.


Security feature of the ThinkPad Port Replicator

The ThinkPad(R) Port Replicator has a security keyhole for a mechanical lock. If you attach a mechanical lock there, the release button is locked, so that the computer cannot be detached from the port replicator.

IBM(R) does not offer a mechanical lock. You will need to purchase one elsewhere. You are responsible for evaluating, selecting, and implementing the locking device and security features. IBM makes no comments, judgments, or warranties about the function, quality, or performance of any locking device or security features.

Attach a mechanical lock as follows:

Illustration: Attach the mechanical lock to the security keyhole, at far right on the back of the computer.


Docking a ThinkPad Dock (printable version)

Click the Print button to print this topic.

To dock your computer to a ThinkPad(R) Dock, do the following:

Before you start, refer to "Preparing for docking."

  1. Turn off the computer.
    2. Note: If you are using Windows(R) 2000, or Windows 98, you can dock the ThinkPad Dock when the computer is in either standby mode or operating.
  2. Make sure that the power cord is connected to the ThinkPad Dock.
  3. Make sure that the system lock key of the ThinkPad Dock is in the unlocked position.
  4. Dock the computer to the ThinkPad Dock, ensuring that the docking connectors are aligned with each other.

Illustration: Make sure that the docking connectors are aligned with each other. Illustration: Dock the computer to the ThinkPad Dock.

  1. Insert your computer into the ThinkPad Dock until you hear a click. The computer is now docked to the ThinkPad Dock.


Undocking the ThinkPad Dock (printable version)

Click the Print button to print this topic.

To undock your computer, do the following:

  1. Make sure that:

  • The devices connected to USB, serial, and parallel connectors are not in use.

  • The connection to a modem or an Ethernet port has ended.

  1. Make sure that the system lock key of the ThinkPad Dock is in the unlocked position.
  2. Check to see whether the computer is in the Docked Config status. It is in that status if either of the following is true:

  • "Eject PC" is shown in the Start menu (if the computer display is on).

  • The docking indicator on the ThinkPad(R) Dock is on.

  1. If the computer is in the Docked Config status, press the eject request button on the ThinkPad Dock; then make sure that the docking indicator turns off. If the computer is operating, you can select Eject PC in the Start menu at the lower left of the screen instead of pressing the eject request button.
    2. Note: Make sure that the undock request to the OS is fulfilled and the Docking Indicator turns off.
    If the computer is not in the Docked Config Status, go to the next step.
  2. Press the release button (1) of the ThinkPad Dock until the computer moves up; then, grasping both sides, remove the computer (2).

Illustration: To remove the computer, press the release button and grasp both sides.

    If the undock request fails, turn off the computer and undock the ThinkPad Dock.
    Note: If you are using Windows NT(R) version 4.0, turn off the computer before pressing the release button of the ThinkPad Dock.